/**
 * Description: 信息提醒
 */

import { Message, Notification } from 'element-ui'

let showingMessage = false;

export function showNotify(content, type) {
	if (showingMessage) {
		return;
	}
	showingMessage = true;
	Notification({
		message: content,
		type: type,
		duration: 2000,
		showClose: true,
		onClose: function (message) {
			showingMessage = false;
		}
	})
}

export function showMessage(content, type) {
	if (showingMessage) {
		return;
	}
	showingMessage = true;
	Message({
		message: content,
		type: type,
		showClose: true,
		duration: 2000,
		onClose: function (message) {
			showingMessage = false;
		}
	})
}
