/**
 * Description: 混入
 *
 * Created by huanglongyi on 2020/3/15
 * E-Mail: 475865662@qq.com
 */
import format from 'date-fns/format';
import _ from 'lodash';

const DATE_TIME_FORMAT = 'YYYY-MM-DD HH:mm:ss';

export const formatFilter = {
	methods: {
		/**
		 * 日期格式化
		 * @param dataTime
		 */
		formatDateTime(dataTime, formatStr = DATE_TIME_FORMAT) {
			if (dataTime) {
				return format(dataTime, formatStr)
			}
			return null;
		},

		formatNearTime(timestamp, format) {
			if (!timestamp) {
				return "";
			}
			const SECOND = 1000;
			const MINUTE = 60 * SECOND;
			const HOUR = 60 * MINUTE;
			const DAY = 24 * HOUR;
			// 获取当前时间戳
			const currentTimestamp = new Date().getTime();
			// 时间戳相减
			const diffTimestamp = currentTimestamp - timestamp;
			// 格式化
			if (diffTimestamp <= MINUTE) {
				return '刚刚'
			} else if (diffTimestamp > MINUTE && diffTimestamp <= HOUR) {
				var minutes = parseInt(diffTimestamp / MINUTE)
				return minutes + '分钟前'
			} else if (diffTimestamp > HOUR && diffTimestamp <= DAY) {
				var hours = parseInt(diffTimestamp / HOUR)
				return hours + '小时前'
			} else if (diffTimestamp > DAY && diffTimestamp <= (DAY * 3)) {
				var days = parseInt(diffTimestamp / DAY)
				return days + '天前'
			} else {
				return this.formatDateTime(timestamp, format)
			}
		}
	}

}



export const basePage = {
	data() {
		return {
			refresh: false
		}
	},
	methods: {
		/**
		 * 权限审核
		 */
		goBack() {
			this.$router.go(-1);
			if (this.refresh) {
				this.refresh = false;
				this.reload && this.reload();
			}
		},
		/**
		 * 回车事件
		 */
		keyupEnter(url, after) {
			document.onkeydown = e => {
				if (e.keyCode === 13 && e.target.baseURI.match(url)) {
					after()
				}
			}
		}
	}
}
