/**
 * Description: 工具类
 */

export function getToken() {
	return localStorage.getItem('token');
}

export function saveToken(token) {
	localStorage.setItem('token', token);
}

export function getPublicKey() {
	return localStorage.getItem('publicKey');
}

export function savePublicKey(publicKey) {
	localStorage.setItem('publicKey', publicKey);
}

export function saveUserInfo(userInfo) {
	localStorage.setItem('userInfo', JSON.stringify(userInfo));
}

export function getUserInfo() {
	let userInfo = {};
	const userInfoStr = localStorage.getItem('userInfo');
	if (userInfoStr) {
		try {
			userInfo = JSON.parse(userInfoStr);
		} catch (e) {
			console.log(e)
		}
	}
	return userInfo;
}

export function saveAuthorities(authorities) {
	localStorage.setItem('authorities', JSON.stringify(authorities));
}

export function getAuthorities() {
	let authorities = [];
	try {
		const authoritiesStr = localStorage.getItem('authorities')
		if (authoritiesStr) {
			authorities = JSON.parse(authoritiesStr);
		}
	} catch (e) {
		console.log(e)
	}
	return authorities;
}

export function getAuthorityCode() {
	return localStorage.getItem('authorityCode');
}

export function saveAuthorityCode(authorityCode) {
	localStorage.setItem('authorityCode', authorityCode);
}



/**
 * 判断是否为http链接
 * @param {string} path
 * @returns {Boolean}
 */
export function isExternal(path) {
	return /^(https?:|mailto:|tel:)/.test(path)
}




